Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.utils
Class Pair<T1,T2>

    java.lang.Object
      org.apache.cassandra.utils.Pair<T1,T2>

Direct Known Subclasses:
  AntiEntropyService.CFPair

    public class Pair<T1,T2>

extends java.lang.Object

Field Summary
`T1` | `left`
`T2` | `right`

Constructor Summary
`Pair(T1 left, T2 right)`

Method Summary
`static
`<X,Y> Pair<X,Y>`
` | `create(X x, Y y)`
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### left

    public final T1 left

### right

    public final T2 right

Constructor Detail

### Pair

    public Pair(T1 left,
                T2 right)

Method Detail

### hashCode

    public final int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public final boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### create

    public static <X,Y> Pair<X,Y> create(X x,
                                         Y y)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation